
/* FMEA Table style */
  .fmea_table {
    font-size: 0.8em!important;
    border: 1px solid #00406c;
    border-collapse: collapse;
    border-spacing: 0;
    width: 100%;
    display: table;
    margin-bottom: 10px;
    }
  .fmea_table {
    min-width: 1800px; /* belangrijk */
    }
  .fmea_table th {
    padding: 8px 8px;
    display: table-cell;
    text-align: left;
    vertical-align: top;
    font-weight: bold;
    border: 1px solid #00406c!important;
    background-color: #00406c;
    color: #fff;
    }
  .fmea_table td{
    padding: 8px 6px;
    display: table-cell;
    text-align: left;
    vertical-align: top;
    border: 1px solid #00406c!important;
    font-size: 1em;
    vertical-align: middle;
    }
/* FMEA Table Classes */
  td.ernst, td.new_ernst, td.ernst input, td.new_ernst input {
    text-align: center;
    vertical-align: middle;
    font-weight: bold;
    color: #fff;
    background: #d1ae57;
  }
  td.kans, td.new_kans, td.kans input, td.new_kans input {
    text-align: center;
    vertical-align: middle;
    font-weight: bold;
    color: #fff;
    background: #8db0c6;
  }
  td.detectie, td.new_detectie, td.detectie input, td.new_detectie input {
    text-align: center;
    vertical-align: middle;
    font-weight: bold;
    color: #fff;
    background: #afb76e;
  }

  td.rpn, td.new_rpn, td.rpn input, td.new_rpninput {
    text-align: center;
    vertical-align: middle;
    font-weight: bold;
  }
  td.rpn input,
  td.new_rpn input {
    background: transparent !important;
  }

/* Live RPN Kleuring */
  .rpn-green {
    background: #d4edda;
    color: #155724;
    z-index: 100;
    }
  .rpn-orange {
    background: #fff3cd;
    color: #856404;
    z-index: 100;
    }
  .rpn-red {
    background: #f8d7da;
    color: #721c24;
    z-index: 100;
    }

/* Filter */
  .tooltip-container {
    position: relative;
    display: inline-block;
    }
  .tooltip-container .tooltip-text {
    visibility: hidden;
    width: 220px;
    background-color: #333;
    color: #fff;
    text-align: left;
    padding: 5px;
    border-radius: 5px;
    position: absolute;
    z-index: 10;
    bottom: 125%; /* boven het veld */
    left: 50%;
    transform: translateX(-50%);
    opacity: 0;
    transition: opacity 0.3s;
    }
  .tooltip-container:hover .tooltip-text {
    visibility: visible;
    opacity: 1;
    }

/* Filter */
  .filter-icon {
    cursor: pointer;
    margin-left: 5px;
    font-size: 12px;
  }
  .table-scroll {
    position: relative;
  }
  .filter-popup {
    position: absolute;
    display: none;
    background: #fff;
    border: 1px solid #ccc;
    padding: 6px;
    box-shadow: 0 2px 6px rgba(0,0,0,.2);
    z-index: 1000;
  }
  .popup-actions {
    display: flex;
    gap: 4px;
    margin-bottom: 6px;
  }
  .popup-actions button {
    font-size: 12px;
    padding: 3px 6px;
    cursor: pointer;
  }
  .popup-actions button:hover {
    background: #eee;
  }
/* Edit table */
  .remove {
    background: #f1f1f1;
    td {
      font-style: italic;
      }
    }
  .table>tbody>tr>td {
    vertical-align: middle;
    }
  .input-group {
    width: 100%;
    }
  .editable {
    border: none;
    padding: 0;
    margin: 0;
    text-shadow: none;
    box-shadow: none;
    }
  .addBtn {
    cursor: pointer;
    }

/* Main CSS */
  .fmea_table thead th {
    position: sticky;
    top: 0;
    z-index: 2;
  }
  .tr {
      border-bottom: 1px solid #ddd;
    }
  .table-scroll {
    position: relative;
    width: 100%;
    overflow-x: auto;
    overflow-y: visible;
    -webkit-overflow-scrolling: touch; /* smooth op mobiel */
    }
  /* Chrome, Edge, Safari */
  input[type="number"]::-webkit-inner-spin-button,
  input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
  }
  /* Firefox */
  input[type="number"] {
    -moz-appearance: textfield;
  }
.special_table {
  min-width: 1800px; /* belangrijk */
  }
  .special_table th {
    padding: 8px 8px;
    display: table-cell;
    text-align: left;
    vertical-align: middle;
    font-weight: bold;
    border: 1px solid #00406c;
    background-color: #00406c;
    color: #fff;
    }
  .special_table td {
    padding: 8px 3px;
    display: table-cell;
    text-align: left;
    vertical-align: middle;
    border: 1px solid #00406c!important;
    font-size: 1em;
    outline: none;
  }

  .special_table { font-size: 12px!important; border: 1px solid #00406c; border-collapse: collapse; border-spacing: 0; width: 100%; display: table; margin-bottom: 10px; }

  .step { width: 300px; height: 50px; outline: none;border: 0!important;}
  .fm { width: 300px; height: 50px; outline: none;border: 0!important;}
  .fe { width: 300px; height: 50px; outline: none;border: 0!important;}
  .sum_ernst { width: 70px;outline: none;border: 0!important;}
  .fc { width: 300px; height: 50px; outline: none;border: 0!important;}

  .sum_kans {width: 70px;outline: none;border: 0!important; background-color: #5587a8; font-weight: bold;color:#fff;text-align: center;}
  .controle {width: 300px; height: 50px; outline: none;border: 0!important;}
  .sum_detectie {width: 70px;outline: none;border: 0!important; background-color: #afb76e; font-weight: bold;color:#fff;text-align: center;}

  .sum_rpn, .sum_new_rpn { width: 50px; border: 0; text-align: center; font-weight: bold; -moz-appearance: textfield; }

  .maatregel {width: 300px; height: 50px; outline: none;border: 0!important;}
  .eigenaar {width: 300px; height: 50px; outline: none;border: 0!important;}
  .afgerond {width: 300px; height: 50px; outline: none;border: 0!important;}
  .sum_new_ernst {width: 70px;outline: none;border: 0!important; background-color: #e86668; font-weight: bold;color:#fff;text-align: center;}
  .sum_new_kans {width: 70px;outline: none;border: 0!important; background-color: #5587a8; font-weight: bold;color:#fff;text-align: center;}
  .sum_new_detectie {width: 70px;outline: none;border: 0!important; background-color: #afb76e; font-weight: bold;color:#fff;text-align: center;}
